/*
 * TimeSegment.Java
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_APPS_PKG.ping;

import JANOS_NODEOS_PKG.TimeSpec;
import JANOS_NODEOS_PKG.BufferHandle;

import JANOS_UTIL_PKG.PacketSegment;

PACKAGE class TimeSegment
	implements PacketSegment
{
	private TimeSpec ts = new TimeSpec();

	PACKAGE TimeSegment()
	{
	}

	public TimeSpec getTime()
	{
		return this.ts;
	}

	public int getLength()
	{
		return 4 + 4;
	}

	public int marshal(BufferHandle bh, int offset)
	{
		TimeSpec.getTime(this.ts);
		bh.setInt(offset, this.ts.getSeconds());
		bh.setInt(offset + 4, this.ts.getNanoSeconds());
		return offset + 4 + 4;
	}

	public int unmarshal(BufferHandle bh, int offset)
	{
		this.ts.setSeconds(bh.getInt(offset));
		this.ts.setNanoSeconds(bh.getInt(offset + 4));
		return offset + 4 + 4;
	}

	public String toString()
	{
		return "[TimeSegment ts="
			+ this.ts
			+ "]";
	}
}
