/*
 * MemoryHog.Java
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_BENCHMARKS_PKG;

import JANOS_NODEOS_PKG.Node;
import JANOS_NODEOS_PKG.Flow;
import JANOS_NODEOS_PKG.MemSpec;
import JANOS_NODEOS_PKG.FlowRun;
import JANOS_NODEOS_PKG.Credentials;
import JANOS_NODEOS_PKG.FlowStartSpec;
import JANOS_NODEOS_PKG.ThreadPoolSpec;
import JANOS_NODEOS_PKG.CommSpaceHandle;

public class MemoryHog
	extends FlowRun
{
	private Flow flow;

	protected void run(Flow flow, String args[], CommSpaceHandle csh)
	{
		try
		{
			this.run2(flow, args, csh);
		}
		catch(Throwable th)
		{
			Node.println("Caught exception? " + th);
			Node.printStackTrace(th);
		}
	}
	
	protected void run2(Flow flow, String args[], CommSpaceHandle csh)
		throws Throwable
	{
		String className = MemoryChewer.class.getName();
		int maxRate = ThreadPoolSpec.getMaxRate();
		int goodGuyRate = maxRate / 2;
		int badGuyRate = maxRate / 8;
		int lpc;

		Flow.currentFlow().
			newFlow(new Credentials("GoodFlow 10"),
				new ThreadPoolSpec(2,
						   32768,
						   goodGuyRate,
						   null),
				new MemSpec(),
				new FlowStartSpec(className,
						  new String[] {
							  "10"
						  },
						  csh),
				null);
		for( lpc = 0; lpc < 4; lpc++ )
		{
			Flow.currentFlow().
				newFlow(new Credentials("BadFlow " + lpc),
					new ThreadPoolSpec(5,
							   32768,
							   badGuyRate,
							   null),
					new MemSpec(),
					new FlowStartSpec(className,
							  new String[] {
								  Integer.
								  toString(lpc)
							  },
							  csh),
					null);
		}
	}
}
