/*
 * MemSpec.Java
 *
 * Copyright (c) 1999, 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_NODEOS_PKG;

/**
 * Java wrapper for a MemSpec.  A MemSpec describes the memory
 * available to a Flow (buffers, raw memory, etc).  Its *all*
 * hidden in here.
 * <p>
 * At least, it will be someday.
 *
 * @see Flow
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu">Janos Ministry of Development</a>
 */
public final class MemSpec
	extends NATIVE_MEMSPEC
{
	/**
	 * Construct a MemSpec with reasonable defaults.
	 */
	public MemSpec()
	{
		super();
	}

	/**
	 * Construct a MemSpec with a specific memory size in bytes.
	 */
	public MemSpec(int memorySize)
	{
		super(memorySize);
	}

	PACKAGE NATIVE_MEMSPEC getNativeSpec()
	{
		return this;
	}
}

