/*
 * MemoryPolicy.Java
 *
 * Copyright (c) 1999, 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_NODEOS_PKG;

import JVM_RESOURCES_PKG.GCPolicy;

/**
 * The MemoryPolicy class is a JanosVM GCPolicy for Teams that are associated
 * with Flows.  We need this so that we can start GC threads under the correct
 * flow according to the implementation layer.
 */
PACKAGE class MemoryPolicy
    extends GCPolicy
{
	/**
	 * Construct a MemoryPolicy with the given maximum memory size in
	 * bytes.
	 */
	public MemoryPolicy(long max)
	{
		super(max);
	}

	/**
	 * Enable the GC.
	 *
	 * @return True
	 */
	public boolean enable()
	{
		/*
		 * We delay starting the threads until we have an actual flow
		 * to start them under.
		 */
		return true;
	}
}
