/*
 * moab_InChannelHandle.Java
 *
 * Copyright (c) 1999, 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_NODEOS_PKG;

import JVM_SYS_PKG.Importable;

/**
 * See pj_InChannelHandle for doc. 
 *
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu">Janos Ministry of Development</a>
 * @see pj_InChannelHandle
 * @see InChannelHandle
 * @see InChannel
 * @see moab_InChannel
 */
PACKAGE class moab_InChannelHandle
	extends Importable
{
	PACKAGE moab_InChannelHandle()
	{
	}

	PACKAGE void setChannel(moab_InChannel inChan)
	{
		if( inChan != null )
			inChan.subscribe(this);
	}

	PACKAGE void copy(moab_InChannelHandle other)
	{
		super.copy(other);
	}

	PACKAGE synchronized boolean handoff(moab_BufferHandle pkt)
	{
		boolean retval = false;
		moab_InChannel ic;

		if( (ic = (moab_InChannel)this.get()) != null )
		{
			ic.handoff(pkt);
		}
		return( retval );
	}

	PACKAGE boolean handoffv(BufferHandle[] bhl)
	{
		NOTIMPLEMENTED("moab_InChannelHandle.handoffv()");
	}

	public String toString()
	{
		return "moab_InChannelHandle[inChan=" +super.toString()+ "]";
	}
}

