/*
 * moab_ThreadPoolSpec.Java
 *
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_NODEOS_PKG;

/**
 * Moab ThreadPoolSpec wrapper
 *
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu">Janos Ministry of Development</a>
 */
PACKAGE class moab_ThreadPoolSpec
{
	private final int maxThreads;
	private final int stackSize;
	private final int rate;
	private final ThreadScheduler sched;

	/**
	 * This is exciting.
	 */
	public moab_ThreadPoolSpec(int maxThreads,
				   int stackSize,
				   int rate,
				   ThreadScheduler /*XXX*/ sched)
	{
		this.maxThreads = maxThreads;
		this.stackSize = stackSize;
		this.rate = rate;
		assert(sched == ThreadScheduler.basicScheduler());
		this.sched = sched;
	}

	PACKAGE int maxThreads()
	{
		return this.maxThreads;
	}
	
	PACKAGE int stackSize()
	{
		return this.stackSize;
	}

	PACKAGE int getRate()
	{
		return this.rate;
	}
	
	PACKAGE ThreadScheduler sched()
	{
		return this.sched;
	}

	PACKAGE static native int getMaxRate();
}
