/*
 * pj_Node.Java
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_NODEOS_PKG;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * Pure Java Node implementation.
 *
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu">Janos Ministry of Development</a>
 */
PACKAGE class pj_Node
{
	public static void println(String msg)
	{
		java.lang.Thread.currentThread().setPriority(10); // XXX
		java.lang.System.out.println(msg);
		java.lang.Thread.currentThread().setPriority(5); // XXX
	}

	public static void print(String msg)
	{
		java.lang.Thread.currentThread().setPriority(10); // XXX
		java.lang.System.out.print(msg);
		java.lang.Thread.currentThread().setPriority(5); // XXX
	}
	

	public static void printStackTrace()
	{
		printStackTrace(new Throwable());
	}

	public static void printStackTrace(Throwable th)
	{
		if (th == null)
			th = new Throwable();
		java.lang.Thread.currentThread().setPriority(10); // XXX
		th.printStackTrace(java.lang.System.out);
		java.lang.Thread.currentThread().setPriority(5); // XXX
	}

	public static void fatalError(String msg)
	{
		println(msg);
		exit(11);
	}

	public static void enablePQ()
	{
	}

	public static void disablePQ()
	{
	}

	public static void enableCPUScheduling()
	{
	}

	public static void disableCPUScheduling()
	{
	}

	public static void shutdown()
	{
		println("Shutting down.");
		exit(0);
	}

	private static void exit(int cond)
	{
		System.out.flush();
		System.err.flush();
		System.exit(cond);
	}

	public static long time()
	{
		return System.currentTimeMillis();
	}

	public static String hostname()
	{
		String hostname = "localhost";
		try
		{
			hostname = InetAddress.getLocalHost().getHostName();
		}
		catch(java.net.UnknownHostException _)
		{
			// ignore, hostname is set to default already
		}

		return hostname;
	}

	public static String getHostAddress()
	{
		String addr = "127.0.0.1";
		try
		{
			addr = InetAddress.getLocalHost().getHostAddress();
		}
		catch(java.net.UnknownHostException _)
		{
			// ignore, addr is set to default already
		}

		return addr;
	}
}
