/*
 * AddressFactory.Java
 *
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_ROUTE_PKG;

import JANOS_NODEOS_PKG.Address;
import JANOS_NODEOS_PKG.NoSuchNodeAddress;
IMPORT_DEBUG

/**
 * A simple wrapper for the Core AddressFactory class.
 *
 * @see JANOS_NODEOS_PKG.AddressFactory
 */
PACKAGE class AddressFactory
{
	private static JANOS_NODEOS_PKG.AddressFactory addressFactory;

	static
	{
		addressFactory = Address.getAddressFactory();
		assert(addressFactory);
	}

	PACKAGE static Address newAddress(int anAddress,
					  String protocolSpec,
					  String addressSpec)
		throws NoSuchNodeAddress
	{
		return addressFactory.newAddress(anAddress,
						 protocolSpec,
						 addressSpec);
	}
}
