/*
 * Test ThreadPool
 *
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */
package JANOS_TESTS_PKG;

import JANOS_NODEOS_PKG.Thread;
import JANOS_NODEOS_PKG.Flow;
import JANOS_NODEOS_PKG.MemSpec;
import JANOS_NODEOS_PKG.Node;
import JANOS_UTIL_PKG.FlowBase;

public class TPTest
	extends FlowBase
{
	public void start()
	{
		Flow f = Flow.currentFlow();

		Node.println("0) rootThreadPool.flow = " +f.toString());

		f.threadStart(new TPTestThread(), "Test Thread"); // -> "1) run."
		Node.println("0) started 'Test Thread'");

		// Let the other guy run for a sec...
		try 
		{
			Thread.sleep(1, 0);
		}
		catch (Exception e)
		{
			// whatever
		}

		// t = Thread.self();
		// Node.println("0) I am " +t);
		this.flow.destroy();
	}
}

class TPTestThread
	implements Runnable
{
	static int ids = 1;
	int id;

	public TPTestThread()
	{
		this.id = ids++;
	}

	public void run()
	{
		Node.println(id+ ") run.");
	}
}
