/*
 * TestFlow.Java
 *
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Janos Java NodeOS software.
 * 
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */

package JANOS_TESTS_PKG;

import JANOS_NODEOS_PKG.*;
import JANOS_UTIL_PKG.FlowBase;

/**
 * A simple flow class that calls Tester.testClass on its arguments
 */
public class TestFlow
    extends FlowBase
{
	public void start()
	{
		CommSpaceHandle csh;
		int lpc;

		TestMain.testFlow = this;
		TestMain.rootFlow = Flow.currentFlow();
#ifdef EXPOSED
		csh = CommSpaceHandle.newCommSpace(1);
		csh.write(0, new CommSpaceElement(0));
		TestMain.testNode = new Node(); // XXX 
#endif
		for( lpc = 0; lpc < this.args.length; lpc++ )
		{
			Tester.testClass(args[lpc]);
		}
#ifdef EXPOSED
		TestMain.testNode.shutdown();
#endif
		this.flow.destroy();
	}
}
